package eu.mhsl.minecraft.pixelblocks;

import eu.mhsl.minecraft.pixelblocks.commands.CreatePixelBlockCommand;
import eu.mhsl.minecraft.pixelblocks.commands.ExitWorldCommand;
import eu.mhsl.minecraft.pixelblocks.listeners.*;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Objects;

public final class PixelBlocks extends JavaPlugin {
    public static PixelBlocks plugin;
    public static DataBase dataBase;
    public static String pathSeparator = "/";

    @Override
    public void onEnable() {
        PixelBlocks.plugin = this;
        this.getLogger().info("PixelBlocks Plugin was enabled.");

        dataBase = new DataBase("jdbc:sqlite:pixelblocks.db");
        dataBase.loadPixelBlocks();

        getServer().getPluginManager().registerEvents(new PlayerInteractListener(), this);
        getServer().getPluginManager().registerEvents(new PlayerMoveListener(), this);
        getServer().getPluginManager().registerEvents(new EntityDamageListener(), this);
        getServer().getPluginManager().registerEvents(new BlockBreakListener(), this);
        getServer().getPluginManager().registerEvents(new BlockPlaceListener(), this);
        getServer().getPluginManager().registerEvents(new CreatureSpawnListener(), this);
        getServer().getPluginManager().registerEvents(new PlayerChangeWorldListener(), this);

        Objects.requireNonNull(getCommand("createpixelblock")).setExecutor(new CreatePixelBlockCommand());
        Objects.requireNonNull(getCommand("exitworld")).setExecutor(new ExitWorldCommand());
    }

}
